Subject: bug#73387: closed (Re: bug#73387: 30.0.90; C-x v v in diff-mode doesn't work after C-c C-n)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Oct 2024 01:25:02 +0000

Your bug report

#73387: 30.0.90; C-x v v in diff-mode doesn't work after C-c C-n

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73387: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73387
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73387: 30.0.90; C-x v v in diff-mode doesn't work after C-c C-n
From: Sean Whitton <[email-masked]>
To: Dmitry Gutov <[email-masked]>, [email-masked]
Date: Wed, 02 Oct 2024 09:24:21 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Tue 01 Oct 2024 at 04:57am +03, Dmitry Gutov wrote:

> On 01/10/2024 04:40, Sean Whitton wrote:
>> Is it right that diff-vc-deduce-fileset will only ever be called in the
>> context of using C-x v v to commit a patch?  The name of the function
>> suggests that it might be used for something else, if not now then in
>> the future.
>
> It's not a 100% guarantee but for now that's how things stand, and it doesn't
> work in a narrowed buffer. So for simplicity's sake we can make it show an
> error with such instructions, I think.
>
> I don't mind doing it the another way too, but if its return value is not
> used, that's not a very intuitive design.

Okay, done that now, and closing the bug.  Thanks!

-- 
Sean Whitton

Subject: 30.0.90; C-x v v in diff-mode doesn't work after C-c C-n
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Fri, 20 Sep 2024 17:08:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

X-debbugs-cc: [email-masked], [email-masked], [email-masked]

Hello,

If you do C-c C-n in a diff-mode buffer with multiple hunks, a
subsequent C-x v v signals a user-error from diff-file-next.  I think
that the bug is in how diff-vc-deduce-fileset invokes diff-file-next.
I'm not sure exactly how to rework diff-vc-deduce-fileset.

It would be nice to fix this because then C-c C-n C-x v v would be a
convenient way to commit just a single hunk.

-- 
Sean Whitton